<template>
            <v-row>
                <v-col
                    class="pa-5"
                            cols="12"
                            lg="12"
                            sm="12"
                            md="12"
                > 
                <h3 class="text-center">Отзывы</h3>
                </v-col>
                <v-col
                    class="pa-3"
                            cols="12"
                            lg="8"
                            sm="12"
                            md="6"
                >
                    <v-responsive
                    class="overflow-y-auto"
                    max-height="400"
                    >
                        <v-card
                            class="mx-auto mb-3"
                            outlined
                            v-for="feedback in feebacks"
                            v-bind:key="feedback.author"
                            >
                            <v-list-item three-line>
                            <v-list-item-avatar
                                tile
                                size="120"
                                color="grey"
                                >
                                <v-img :src="'https://sun9-54.userapi.com/c858232/v858232317/972e1/YnSpE5uFHR4.jpg'"></v-img>
                                </v-list-item-avatar>
                                <v-list-item-content>
                                <v-list-item-title class="headline mb-3">{{ feedback.author }}</v-list-item-title>
                                <v-list-item-title>
                                
                                Проект: {{ feedback.project }}<br>
                                Роль в проекте: {{ feedback.role }}<br>       
                                Дата отзыва: {{ feedback.date }}
                                
                                </v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-rating readonly small v-bind:value="feedback.mark" class="pl-3"></v-rating>
                            <p class="pl-5">{{ feedback.comment }}</p>
                        </v-card>
                    </v-responsive>
                </v-col>
                <v-col
                    class="pa-3"
                            cols="12"
                            lg="4"
                            sm="12"
                            md="6"
                > 
                <span>Поставьте оценку</span><v-rating v-model="rating"></v-rating>
                <v-select
                    v-model="select"
                    select
                    :items="projects" 
                    item-text="value"
                    item-value="url"
                    label="Выберите совместный проект"
                    outlined
                >
                    <option :value="undefined" disabled style="display:none">Выберите совместный проект</option>
                </v-select>
                <v-textarea
                    v-model="area"
                    area
                    label="Как user_name проявил себя в проекте?"
                    outlined
                    hint="Будьте честны"
                ></v-textarea>
                <v-btn color="primary" @click="clearFeedbackForm">
                    Добавить отзыв
                </v-btn>
                </v-col>
                    <v-snackbar
                        v-model="snackbar"
                        >
                        Отзыв успешно добавлен
                        <v-btn
                            color="pink"
                            text
                            @click="snackbar = false"
                        >
                        Закрыть
                        </v-btn>
                    </v-snackbar>
            </v-row>
</template>

<script>
    export default {
        name: 'Feedback',
        data: () => ({
            select: null,
            area: '',
            rating: 2.5,
            isActive: false,
            projects: [{value: 'блэкчейнж', url: 'https://gitlab.com'}, {value: 'бетховены', url: 'https://gitlab.com/'}],
            snackbar: false,
            feebacks: [
                {author: 'Серёжа', role: 'TeamLead', comment: 'Все чётко!', project: 'projectID', date: '01-01-2020', mark: 5},
                {author: 'Серёжа 2', role: 'ProductOwner', comment: 'Все шикарно!', project: 'projectID', date: '01-02-2020', mark: 4},
                {author: 'Серёжа 3', role: 'ProductOwner', comment: 'Все шикарно!', project: 'projectID', date: '01-02-2020', mark: 4},
                {author: 'Серёжа 4', role: 'ProductOwner', comment: 'Все шикарно!', project: 'projectID', date: '01-02-2020', mark: 4}
            ]
        }),
        methods: {
            clearFeedbackForm(){
                this.snackbar = true;
                this.select = null;
                this.area = '';
                this.rating = 2.5;
            }
        }
    }
</script>